/* 
Theme Name: Produtores Florestais
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: AppX
Author URI: https://appx-digital.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

#home-slider .elementor-slide-button {
	font-weight: 900;
	clip-path: polygon(
    0 0,         /* top-left */
    90% 0,       /* top cut start */
    100% 28%,    /* top-right cut */
    100% 100%,   /* bottom-right */
    10% 100%,    /* bottom cut start */
    0 70%        /* bottom-left cut */
  )
}

.corner-cut {
	clip-path: polygon(
    0 0,         /* top-left */
    93% 0,       /* top cut start */
    100% 7%,    /* top-right cut */
    100% 100%,   /* bottom-right */
    7% 100%,    /* bottom cut start */
    0 93%        /* bottom-left cut */
  )
}


.btn a {
	clip-path: polygon(
	0 0,         /* top-left */
	93% 0,       /* top cut start */
	100% 20%,    /* top-right cut */
	100% 100%,   /* bottom-right */
	7% 100%,    /* bottom cut start */
	0 80%       /* bottom-left cut */ 
)
}

.elementor-pagination .page-numbers.current {
	color: white!important;
    background-color: black!important;
    border-radius: 50%;
    padding: 10px 20px;
}


.elementor-pagination a:hover {
	color: white!important;
    background-color: black;
    border-radius: 50%;
    padding: 10px 20px;
}


#nav .elementor-item-active {
	font-weight: 900!important;
}

#nav .elementor-nav-menu--main .elementor-item:hover {
	font-weight: 900!important;
}

#revista_form .elementor-field-group-field_00761e9 .elementor-field-label,
.elementor-field-group-field_45c7be6 .elementor-field-label
{
	font-size: 32px!important;
	font-weight: 500!important;
	margin-bottom: 1rem!important;
}

#revista_form .elementor-field-subgroup.elementor-subgroup-inline .elementor-field-option {
    display: flex;
    align-items: center;
	gap: 0.7rem
}

.elementor-nav-menu__container[aria-hidden="false"] {
  height: 100vh!important;
}

.elementor-nav-menu__container[aria-hidden="true"] {
  height: 0;
  overflow: hidden!important; 
}

.ultima-edicao-badge {
  position: absolute;
  background: #5A8F22;
  color: white;
  padding: 10px 20px;
  font-weight: 900;
  border-radius: 5px;
  z-index: 10;
  clip-path: polygon(0% 0%, 93% 0%, 100% 20%, 100% 100%, 7% 100%, 0% 80%);
}

.ultima-edicao-first {
  top: 220px;
  right: -40px;
  font-size: 16px;
}

.ultima-edicao-second {
  top: 40px;
  right: -40px;
  font-size: 20px;
}

@media (max-width: 768px) {
  .ultima-edicao-first,
  .ultima-edicao-second {
    right: -20px;
    font-size: 14px;
  }
}

.piecal-wrapper .fc-daygrid-body-natural table td {
background-color: white;
}

.piecal-wrapper .piecal-controls__view-chooser {
	display: none;
}


/* ================= Contact form ================= */

.contact-form .elementor-form-fields-wrapper {
	flex-wrap: nowrap;
}

.contact-custom-fields-wrapper {
	width: 70%;
}

.contact-custom-submit-wrapper {
	width: 30%;
}

.contact-name-email-wrapper {
	display: flex;
}

.contact-custom-submit-wrapper {
	margin-top: 20px;
}

.contact-custom-fields-wrapper .elementor-field-textual {
	resize: none;
}


.contact-custom-fields-wrapper .elementor-field-type-text,
.contact-custom-fields-wrapper .elementor-field-type-email {
	clip-path: polygon(
    0 0,         /* top-left */
    95% 0,       /* top cut start */
    100% 40%,    /* top-right cut */
    100% 100%,   /* bottom-right */
    0% 100%,    /* bottom cut start */
    0 100%  
  )
}

.contact-custom-fields-wrapper .elementor-field-textual {
	clip-path: polygon(
    0 0,         /* top-left */
    98% 0,       /* top cut start */
    100% 25%,    /* top-right cut */
    100% 100%,   /* bottom-right */
    0% 100%,    /* bottom cut start */
    0 100%  
  )
}

.contact-custom-submit-wrapper .elementor-field-type-html {
	color: white;
	font-size: 14px;
}

.contact-custom-submit-wrapper a {
	color: white;
	text-decoration: underline;
}

@media (max-width: 767px) {
	.contact-form .elementor-form-fields-wrapper {
		flex-direction: column;
	}
	.contact-custom-fields-wrapper {
		width: 100%;
	}
	.contact-custom-submit-wrapper {
		width: 100%;
	}
	.contact-name-email-wrapper {
		display: flex;
		flex-direction: column;
	}
}

/* ================= Revista form ================= */

.revista-form {
	display: flex;
	gap: 3rem;
}

.revista-form-custom-left-wrapper {
	width: 40%;
}

.revista-form-custom-right-wrapper {
	width: 60%
}

.revista-form-custom-postalAndPhone-wrapper {
	display: flex;
}

.revista-form-custom-txt-wrapper {
	display: flex;
	align-items: flex-end;
}

.elementor-field-group-privacidade label a {
	color: black;
}

.elementor-field-group-adicional label,
.elementor-field-group-privacidade label {
	font-size: 16px !important;
    font-weight: 400 !important;
}

@media (max-width: 767px) {
	.revista-form .elementor-form-fields-wrapper {
		flex-direction: column;
	}
	.revista-form-custom-left-wrapper {
		width: 100%;
	}
	.revista-form-custom-right-wrapper {
		width: 100%
	}
	.revista-form-custom-postalAndPhone-wrapper {
		flex-direction: column;
	}
	.revista-form-custom-txt-wrapper {
		flex-direction: column;
	}
}